Bug Hunting Session
Bug 127021 - When attempting to insert a 'set variable' field into a document, not all formatting options are available
Summary: When attempting to insert a 'set variable' field into a document, not all for...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-19 09:18 UTC by jason.deugalde
Modified: 2019-08-21 13:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jason.deugalde 2019-08-19 09:18:32 UTC
I've just downloaded the latest version of LibreOffice.

I've attempted to insert a 'set variable' field into a writer document by running the following commands:

Insert -> Field -> More Fields -> Variables -> Set Variable

In previous versions of LibreOffice, when I did this, there used to be a lot of different formatting options available in the format area of the popup window. However, there are now only two options available - Text and -1234.57.

If I then select 'Show Page Variable' and then re-select Set Variable, only the Text format is available.
Comment 1 Oliver Brinzing 2019-08-19 12:24:27 UTC
reproducible with:

Version: 6.3.0.4 (x64)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: 

Version: 6.4.0.0.alpha0+ (x64)
Build ID: ed128e17e7f090af06dfe5776a238c40f3a68fc9
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

but *not* reproducible with:

Version: 6.2.6.2 (x64)
Build ID: 684e730861356e74889dfe6dbddd3562aae2e6ad
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc:


this *may* have started with (some of the revisions were untestable - LO crashed calling Insert -> Field -> More Fields):

https://gerrit.libreoffice.org/plugins/gitiles/core/+/b1249cea2e99873605332de888d03f163cba0128

commit	b1249cea2e99873605332de888d03f163cba0128	[log]
author	Caolán McNamara <caolanm@redhat.com>	
Tue Mar 19 15:43:51 2019 +0000
committer	Caolán McNamara <caolanm@redhat.com>	
Tue Mar 19 22:17:40 2019 +0100
tree	bdedca2e8d7d2f144b72ec9ebc77137375102c90
parent	531a331ed2d5d8aa75002b271e8c90d108e55388 [diff]

weld SwFieldVarPage


/cygdrive/d/sources/bibisect/bibisect-win32-6.3
$ git bisect good
fd926802c9379a2f836c6ec1dbfe8310c8e1a6af is the first bad commit
commit fd926802c9379a2f836c6ec1dbfe8310c8e1a6af
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Mar 19 14:37:15 2019 -0700
    source sha:b1249cea2e99873605332de888d03f163cba0128
    source sha:b1249cea2e99873605332de888d03f163cba0128

:040000 040000 28c4a3fc857dc166f3016bfe1c39d3eafd216a29 b359521c23b260dcfeea67283b02253e201c4a4e M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.3
$ git bisect log
# bad: [18f926e8e18b3d855c2f79ef279febbeb846b8cd] source sha:13152ad88b24cadc836a829b4424a72a152ca9b1
# good: [ea94942caaf195b8d8b2d5c2abb523359ab390e7] source sha:a20a2d7e0d28658f2d9089da076961a599833a28
git bisect start 'master' 'oldest'
# good: [3aea60569b9190400409ebb93f0a5d323b6fc5d4] source sha:47ce4b87d8a13fc340794ffd9a10d5bd6a15e644
git bisect good 3aea60569b9190400409ebb93f0a5d323b6fc5d4
# bad: [3b794d71dd796e467baef082c140bdc77c69c979] source sha:47d25dc5abe000ce751cb1e4dbd1f85f7198ca05
git bisect bad 3b794d71dd796e467baef082c140bdc77c69c979
# bad: [8adbffa485cdd6d5e13106e5f55e70249f46a4f6] source sha:15e9e6d12aa2d49e114ec0cf8326f2264ccf2640
git bisect bad 8adbffa485cdd6d5e13106e5f55e70249f46a4f6
# good: [b7d833c7fe914b812df590853dede8de26b93493] source sha:c677598d146edef71898b92d087150b1534ac60a
git bisect good b7d833c7fe914b812df590853dede8de26b93493
# good: [7e8609c3f12ebff0321cd0c8be736ee7e6cd8993] source sha:8ec7648f0d8580950c1bdd2fb9de92953cc90914
git bisect good 7e8609c3f12ebff0321cd0c8be736ee7e6cd8993
# bad: [06f64be9a86a65fe7c79915d6b62b77d2475cf8e] source sha:e8f2f923ae12bea76379c917f2090e7a5e61d860
git bisect bad 06f64be9a86a65fe7c79915d6b62b77d2475cf8e
# bad: [22c07a62bf245377d47ea47ce842027000db82f4] source sha:b655804d083ec1e5dda73bc4b7cade579ce8c123
git bisect bad 22c07a62bf245377d47ea47ce842027000db82f4
# bad: [03ba13fc6642ad893327f47ca84e4803fcaf0155] source sha:63f67b0b62e68728a554c5a76c531ad8542c4212
git bisect bad 03ba13fc6642ad893327f47ca84e4803fcaf0155
# bad: [535885abd1082efac1520e9ce220fb046127a2d5] source sha:166a4989a0d1e5a6271c66bceb73a27970afc882
git bisect bad 535885abd1082efac1520e9ce220fb046127a2d5
# bad: [fd926802c9379a2f836c6ec1dbfe8310c8e1a6af] source sha:b1249cea2e99873605332de888d03f163cba0128
git bisect bad fd926802c9379a2f836c6ec1dbfe8310c8e1a6af
# good: [205da1435d41e4a7278a95dbc616df30478e152f] source sha:31b017e31f4802f6d56acaa7b717fb84e4b6e318
git bisect good 205da1435d41e4a7278a95dbc616df30478e152f
# good: [18bfea6890aefa712771e0de25baaf6f6313465b] source sha:612650147cb85e52d317142d022db99a28c0d98a
git bisect good 18bfea6890aefa712771e0de25baaf6f6313465b
# good: [f8090567da3fc7581d1365fedc29ab82b287862e] source sha:531a331ed2d5d8aa75002b271e8c90d108e55388
git bisect good f8090567da3fc7581d1365fedc29ab82b287862e
# first bad commit: [fd926802c9379a2f836c6ec1dbfe8310c8e1a6af] source sha:b1249cea2e99873605332de888d03f163cba0128
Comment 2 Commit Notification 2019-08-20 07:22:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0576911eec4f5fab4d4dd4f0cd46744b9a567899%5E%21

Resolves: tdf#127021 not all formatting options shown for set variable

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-08-20 07:30:20 UTC
fixed in master, backport to 6-3 in gerrit
Comment 4 Xisco Faulí 2019-08-21 11:16:29 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2bed8af91fc2654b9ed2432f969d32d5741a529b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2019-08-21 11:19:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1e8ac689396f7779e4b1e82378f2f61e12be9bfc%5E%21

Resolves: tdf#127021 not all formatting options shown for set variable

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-08-21 13:07:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/5ad70db9902659065cc45727f80c54ed3772a83f%5E%21

Resolves: tdf#127021 not all formatting options shown for set variable

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.